import { type EditorState } from "@codemirror/state";
export type GetFocusEventOptions = {
    onFocus?: HandleFocusEditorFunction;
    onBlur?: HandleBlurEditorFunction;
};
export type HandleFocusEditorFunction = (state: EditorState) => void;
export type HandleBlurEditorFunction = (state: EditorState) => void;
export declare function getFocusEvent({ onBlur, onFocus }: GetFocusEventOptions): import("@codemirror/state").Extension;
