import { type EditorView, WidgetType } from "@codemirror/view";
export declare class ImageWidget extends WidgetType {
    private text;
    private link;
    private from;
    private to;
    view: EditorView | undefined;
    constructor(text: string, link: string, from: number, to: number);
    get key(): string;
    eq(widget: ImageWidget): boolean;
    updateDOM(): boolean;
    toDOM(view: EditorView): HTMLElement;
    destroy(): void;
}
